
Foreman - Refactor #15787

Update shoulda-matchers to 3.x

07/22/2016 07:31 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3676

  

Description

The shoulda-matchers gem should be updated to the 3.x series. More information is available at 

https://robots.thoughtbot.com/shoulda-matchers-3-0, including changes to initial configuration.

Related issues:

Related to Foreman - Refactor #26607: Update shoulda-matchers to 4.x Closed

Blocks Foreman - Tracker #15715: Rails 5.0 upgrade tasks Resolved 07/18/2016

Associated revisions

Revision 295536d1 - 08/10/2016 11:31 AM - Dominic Cleal

fixes #15787 - update shoulda-matchers to 3.x

Contains changes to models for the new behaviour of the uniqueness

validation test, which saves a model with one value and then attempts

to validate a second.

NestedAncestryCommon's validation now doesn't fail when the specified

ancestry/parent_id is non-existent (shoulda-matchers generates an

invalid value).

Validations of title on NestedAncestryCommon models have been removed

as it's derived automatically from the name field, and can't be tested

independently of the model name. This in any case was a duplicate

validation of the name which is scoped to ancestry.

Host::Base has #dup implemented so the copied model has a valid primary

interface for #name= to work, matching the behaviour of #initialize.

History

#1 - 07/22/2016 07:31 AM - Dominic Cleal

- Blocks Tracker #15715: Rails 5.0 upgrade tasks added

#2 - 07/26/2016 10:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/3676 added

#3 - 08/10/2016 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 295536d16675898ff2e875908d432ebd5ac168f3.
https://robots.thoughtbot.com/shoulda-matchers-3-0
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/295536d16675898ff2e875908d432ebd5ac168f3


#4 - 08/11/2016 06:34 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#5 - 04/13/2019 01:54 PM - Anonymous

- Related to Refactor #26607: Update shoulda-matchers to 4.x added
